## rpmbuild cannot create debuginfo
## for ada packages 
%define debug_package %{nil}

Name:        aunit
Version:    2013
Release:    7%{?dist}
Summary:    Unit test framework for Ada
Group:      Development/Languages
License:    GPLv2+
URL:        http://libre.adacore.com/libre/tools/aunit
## No direct download link
Source0:    aunit-gpl-%{version}-src.tgz
# Add DESTDIR to make install 
Patch0:     aunit-2013-destdir.patch
# Use shared linraries
Patch1:     aunit-2013-shared.patch
# Remove vendor optflags
Patch3:     aunit-2013-optflags.patch
# Fedora specific
Patch2:     aunit-2013-directories.patch 


BuildRequires: fedora-gnat-project-common >= 2     
BuildRequires:  chrpath gprbuild gcc-gnat

Requires:    fedora-gnat-project-common >= 2

# gprbuild only available on these:
ExclusiveArch:  %GPRbuild_arches

%description
%{summary}

%package devel
Summary:    Devel package for aunit
Group:      Development/Languages
License:    GPLv2+
Requires: fedora-gnat-project-common >= 2
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel 
%{summary}

%prep
%setup -q -n aunit-gpl-%{version}-src
%patch0 -p1 
%patch1 -p1
%patch3 -p1 
%patch2 -p1

%build
## Doen't compile without this options
export GNATFLAGS="%GPRbuild_optflags"
make %{?_smp_mflags} 


%install
rm -rf %{buildroot}
export ADA_PROJECT_PATH=%{_GNAT_project_dir}
make install DESTDIR=%{buildroot}  I_LIB="%{buildroot}/%{_libdir}/" I_DAT="%{buildroot}/%{_datadir}"
## There is no gps in fedora
rm -rf %{buildroot}/%{_datadir}/gps/
chrpath --delete %{buildroot}/%{_libdir}/%{name}/native-full/libaunit.so.%{version}
ln -s %{_libdir}/%{name}/native-full/lib%{name}.so.%{version} %{buildroot}/%{_libdir}/lib%{name}.so.%{version}
ln -s %{_libdir}/%{name}/native-full/lib%{name}.so %{buildroot}/%{_libdir}/lib%{name}.so

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING* README
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/native-full
%{_libdir}/%{name}/native-full/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.%{version}

%files devel
%defattr(-,root,root,-)
%{_docdir}/%{name}
%{_libdir}/%{name}/native-full/lib%{name}.so
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}/native-full/%{name}*
%{_libdir}/%{name}/native-full/ada_containers*
%{_includedir}/%{name}
%{_datadir}/%{name}
%{_GNAT_project_dir}/*.gpr



%changelog
* Sat Oct 11 2014 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-7
- Exclude arm

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue May 13 2014 Peter Robinson <pbrobinson@fedoraproject.org> 2013-4
- Use GNAT_arches rather than an explicit list

* Wed May  7 2014 Pavel Zhukov <landgraf@fedoraproject.org> - 2013-3
- Rebuild with new libgnat

* Sun Feb 16 2014  Pavel Zhukov <landgraf@fedoraproject.org> - 2013-2
- New release (2014)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2012-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jan 25 2013 Kevin Fenzi <kevin@scrye.com> 2012-3
- Rebuild for new libgnat

* Tue Dec 18 2012  Pavel Zhukov <landgraf@fedoraproject.org> - 2012-1
- New release 2012
- Add gcc-gnat to BR

* Sun Mar 04 2012 Pavel Zhukov <landgraf@fedoraproject.org> - 2011-1
- Update to 2011

* Fri Jun 03 2011 Dan Horák <dan[at]danny.cz> - 2010-3
- updated the supported arch list

* Sat Apr 30 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2010-2
- Remove vendor optflags

* Mon Mar 28 2011 Pavel Zhukov <landgraf@fedoraproject.org> - 2010-1
%{GNAT_arches}- Initial build
